package application;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import java.util.Map;

public class Parameters3 extends Application {

    public static void main(String[] args) {
        Application.launch("--w=300", "--h=200");
    }

    @Override
    public void init(){}

    @Override
    public void start(Stage stage) {
        try {
            Parameters params = this.getParameters();
            Map<String, String> nParams = params.getNamed();
            int w = Integer.parseInt(nParams.get("w"));
            int h=  Integer.parseInt(nParams.get("h"));
            StackPane root = new StackPane();
            Scene scene = new Scene(root, w, h);
            stage.setScene(scene);
            stage.setTitle(this.getClass().getName());
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void stop(){}
}
